Package help.validator.model

# Class HREF

java.lang.Object
help.validator.model.HREF

All Implemented Interfaces:
  `Comparable<HREF>`

public class HREF extends Object implements Comparable<HREF>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HREF(HelpModuleLocation help, Path sourceFile, String href, int lineNum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(HREF other)`
  `String`
  `getAnchorName()`
  `String`
  `getHelpPath()`
  `int`
  `getLineNumber()`
  `Path`
  `getReferenceFileHelpPath()`
  The relative help path to the destination of this HREF
  `String`
  `getRefString()`
  `Path`
  `getSourceFile()`
  `boolean`
  `isLocalAnchor()`
  `boolean`
  `isRemote()`
  `boolean`
  `isURL()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HREF

    public HREF(HelpModuleLocation help, Path sourceFile, String href, int lineNum) throws URISyntaxException
    Throws:
      `URISyntaxException`

- ## Method Details

  - ### isURL

    public boolean isURL()

  - ### isLocalAnchor

    public boolean isLocalAnchor()

  - ### getSourceFile

    public Path getSourceFile()

  - ### isRemote

    public boolean isRemote()

  - ### getAnchorName

    public String getAnchorName()

  - ### getRefString

    public String getRefString()

  - ### getReferenceFileHelpPath

    public Path getReferenceFileHelpPath()
    The relative help path to the destination of this HREF
    Returns:
      the relative help path to the destination of this HREF

  - ### getHelpPath

    public String getHelpPath()

  - ### compareTo

    public int compareTo(HREF other)
    Specified by:
      `compareTo` in interface `Comparable<HREF>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLineNumber

    public int getLineNumber()